<?php


namespace App\Libs\Push\OPPOPush;


class Constants
{
    // =================== 推送管理 ==================

    // 国内生产环境
    const PUSH_SERVER = 'https://api.push.oppomobile.com';

    // 开发者身份鉴权
    const AUTH_URL = '/server/v1/auth';

    // 保存通知栏消息内容体
    const SAVE_MESSAGE_CONTENT_URL = '/server/v1/message/notification/save_message_content';

    // 广播推送-通知栏消息
    const BROADCAST = '/server/v1/message/notification/broadcast';

    // 单推-通知栏消息推送
    const NOTIFICATION_UNICAST_URL = '/server/v1/message/notification/unicast';

    // 批量单推-通知栏消息推送
    const NOTIFICATION_UNICAST_BATCH_URL = '/server/v1/message/notification/unicast_batch';

    // =================== 别名管理 ==================

    // 国内生产环境
    const ALIAS_SERVER = 'https://api-device.push.heytapmobi.com';

    // 建立registration_id与alias的映射关系
    const SET_ALIAS_URL = '/server/v1/device/set_alias';

    // 删除别名
    const DELETE_ALIAS_URL = '/server/v1/device/delete_alias';

    // 查询别名
    const GET_ALIAS_URL = '/server/v1/device/get_alias';

    // =================== 标签管理 ==================

    // 国内生产环境
    const TAG_SERVER = 'https://api-device.push.heytapmobi.com';

    // 添加标签
    const ADD_TAG_URL = '/server/v1/device/add_tags';

    // 添加标签组
    const ADD_TAG_GROUP_URL = '/server/v1/device/add_tag_group';

    // 标签订阅接口
    const SUBSCRIBE_TAGS_URL = '/server/v1/device/subscribe_tags';

    // 取消标签订阅接口
    const UNSUBSCRIBE_TAGS_URL = '/server/v1/device/unsubscribe_tags';

    // 查询所有标签
    const GET_ALL_TAGS_URL = '/server/v1/device/get_all_tags';

    // =================== FeedBack管理 ==================

    // 国内生产环境
    const FEEDBACK_SERVER = 'https://feedback.push.oppomobile.com';

    // 获取失效的registration_id列表
    const FETCH_INVALID_REGIDLIST_URL = '/server/v1/feedback/fetch_invalid_regidList';

    // 查询APP当天发送量的状态
    const FETCG_PUSH_PERMIT = '/server/v1/feedback/fetch_push_permit';
}