<?php

namespace App\Modules\OfficialAccount\Models;

use Illuminate\Database\Eloquent\Model;

class MediaCustomer extends Model
{
    protected $table = 'media_customer';

    protected $fillable = ['appid','media_id','url','customer_contact','distribution_channel_id'];

    /**
     * 根据appid获取mediaId
     */
    static function mediaCustomerByAppid($appid)
    {
        
       	return self::where('appid',$appid)->get();
    
    }

}


