<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>五一劳动节</title>
    <style>
        html {
            background: #4ba0bf;
        }

        html,
        body {
            margin: 0 auto;
            padding: 0;
            max-width: 450px;
            font-size: 100px;
        }

        .main_box {
            font-size: 0;
            position: relative;
        }

        .main_box img {
            width: 100%;
        }

        .recharge_box_one a {
            position: absolute;
            width: 80%;
            height: 0.75rem;
            top: 66%;
            left: 50%;
            transform: translateX(-50%);
            z-index: 999;
        }
    </style>
</head>

<body>
<main class="main_box">
    <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/51bg.jpg" alt="">
    <div class="recharge_box_one">
    @if($code == 1)
        <!-- 活动未开始 -->
            <a href="#" class="un_begin">
                <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/51undone.png" alt="">
            </a>
    @elseif($code == 0)
        <!-- 活动进行中 -->
            <a href="{{$url}}" class="beginning">
                <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/51doing.png" alt="">
            </a>
    @elseif($code == 2)
        <!-- 活动结束 -->
            <a href="javascript:void(0)" class="over">
                <img src="https://yueduyun.oss-cn-hangzhou.aliyuncs.com/h5/51over.png" alt="">
            </a>
        @endif
    </div>
</main>
</body>

</html>