<?php
/**
 * Created by PhpStorm.
 * User: wangchen
 * Date: 2019-05-06
 * Time: 17:50
 */

namespace App\Consts;


class BaseConst
{
    /**
     * 一天86400秒
     */
    const ONE_DAY_SECONDS = 86400;

    /**
     * 一周 86400 * 7 秒
     */
    const ONE_WEEK_SECONDS = 604800;

    /**
     * 一个月 86400 * 31 秒
     */
    const ONE_MONTH_SECONDS = 2678400;

    /**
     * 一天24*60分钟
     */
    const ONE_DAY_MINITUES = 1440;

    /**
     * 一分钟60秒
     */
    const ONE_MINUTE_SECONDS = 60;

    /**
     * 一小时3600秒
     */
    const ONE_HOUR = 3600;

    /**
     * 一年365天
     */
    const ONE_YEAR_DAYS = 365;

    /**
     * 默认锁时长
     */
    const LOCK_DEFAULT_SECONDS = 5;

    const SPECIAL_USER_LOG = 7530391;

    /**
     * 默认分页数量
     */
    const DEFAULT_LENGTH = 15;

    /**
     * 长度20
     */
    const TWENTY_LENGTH = 20;

    /**
     * 初级vip等级
     */
    const JUNIOR_VIP_LEVEL = 1;

    /**
     * 高级vip登记等级
     */
    const SENIOR_VIP_LEVEL = 2;

    /**
     * 网站类型
     */
    const SITE_WAP = 'wap';
    const SITE_WWW = 'www';
    const SITE_APP = 'app';

}
