<?php

/**
 * Created by PhpStorm.
 * User: wangchen
 * Date: 2019-05-06
 * Time: 17:50
 */

namespace App\Consts;


class ErrorConst
{
    // 基础错误
    const RECORD_NOT_EXIST                  = '1001:记录不存在';
    const PARAM_IS_EMPTY                    = '1002:参数不能为空';
    const PARAM_ERROR_CODE                  = '1003:参数错误';
    const TASK_DOING                        = '1004:任务执行中';
    const NOT_AUTHORIZED                    = '1005:没有权限';
    const BALANCE_NOT_ENOUGH                = '2001:账户余额不足';
    const NOT_CHECKED                       = '6001:还没审核通过';
    const ALREADY_CHECKED                   = '6002:已审核通过';
    const ALREADY_PUSHED                    = '6003:已推送';
    const VERIFY_CODE_ERROR                 = '6004:验证码有误';
    const SYS_EXCEPTION                     = '6005:系统错误';
    const FREQUENT_OPERATION                = '6006:操作频繁，请稍后操作';
    const SIGN_NOT_ACCESS                   = '6007:签名验证失败';

    // PUSH相关
    const PUSH_APP_ID_INVALID               = '10001:无效appid';
    const PUSH_TOKEN_INVALID                = '10002:无效reg_id';
    const PUSH_TASK_INVALID                 = '10003:无效的推送任务';
    const PUSH_TASK_NOT_START               = '10004:推送任务还未开始';
    const PUSH_TASK_NO_USERS                = '10005:推送任务无有效用户';
    const PUSH_TASK_LOGS_NOT_FOUND          = '10006:无有效子任务';
    const PUSH_APP_NOT_SET                  = '10007:未设置推送应用';
    const PUSH_FAIELD                       = '10008:推送失败，请联系管理员';

    // 业务相关
    const QAPP_LOGIN_FREQUENTLY             = '10028:并发登录限制';

    // 活动相关
    const ACTIVITY_NOT_FOUND                = '20001:查询不到相关活动';
    const ACTIVITY_NOT_START                = '20002:活动还未开始';
    const ACTIVITY_IS_END                   = '20003:活动已经结束';
    const ACTIVITY_INVALID                  = '20004:无效的活动';
    const ACTIVITY_CHARGE_OUT_OF_LIMIT      = '20005:活动充值已达最大次数限制';
}
