<html>
<head>
	<meta charset="utf-8">
	<title>外部派单作品分析报表</title>
	<link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/3.3.7/css/bootstrap.min.css">
</head>
<body>

<table class="table">
	<caption>{{date('Y-m-d',strtotime('-1 day'))}}优质书外部派单分析报表(注册/UV>0.85)</caption>
   <thead>
      <tr>
         <th>书籍ID</th>
         <th>书籍名称</th>
         <th>是否下架</th>
         <th>篇幅</th>
         <th>24小时uv</th>
         <th>24小时充值总额</th>
         <th>72小时uv</th>
         <th>72小时充值总额</th>
         <th>uv</th>
         <th>24~72小时充值增长</th>
         <th>24小时充值比24小时UV</th>
         <th>72小时充值比24小时UV</th>
         <th>强关率</th>

      </tr>
   </thead>
   <tbody>
   @foreach ($datas[0] as $data1)
       <tr>
           <td>{{$data1['bid']}}</td>
           <td>{{$data1['book_name']}}</td>
           <td>{{$data1['is_on_shelf']==1?'内部上架':'外部上架'}}</td>

           <td>{{$data1['charge_type']=='BOOK'?'短篇':'长篇'}}</td>

           <td>{{$data1['uv_one_day_sum']}}</td>
           <td>{{$data1['recharge_amount_in_one_day']}}</td>
           <td>{{$data1['uv_three_day_sum']}}</td>
           <td>{{$data1['recharge_amount_in_three_days']}}</td>
           <td>{{$data1['UV']}}</td>
           <td>{{$data1['recharge_amount_in_one_day']>0?round(($data1['recharge_amount_in_three_days']-$data1['recharge_amount_in_one_day'])/$data1['recharge_amount_in_one_day'],2):0}}</td>
           <td>{{$data1['uv_one_day_sum']>0?round(($data1['recharge_amount_in_one_day']/$data1['uv_one_day_sum']),2):0}}</td>
           <td>{{$data1['uv_one_day_sum']>0?round(($data1['recharge_amount_in_three_days']/$data1['uv_one_day_sum']),2):0}}</td>
           <td>{{$data1['register_user_sum']>0?(round(($data1['force_user_sum']/$data1['register_user_sum']),4)*100).'%':0}}</td>

       </tr>
   @endforeach
   </tbody>
</table>

<table class="table">
	<caption>{{date('Y-m-d',strtotime('-1 day'))}}优质书外部派单分析报表( 注册/UV< 30%)</caption>
   <thead>
      <tr>
          <th>书籍ID</th>
          <th>书籍名称</th>
          <th>是否下架</th>
          <th>篇幅</th>
          <th>24小时uv</th>
          <th>24小时充值总额</th>
          <th>72小时uv</th>
          <th>72小时充值总额</th>
          <th>uv</th>
          <th>24~72小时充值增长</th>
          <th>24小时充值比24小时UV</th>
          <th>72小时充值比24小时UV</th>
          <th>强关率</th>

      </tr>
   </thead>
   <tbody>
   @foreach ($datas[1] as $data)
       <tr>
           <td>{{$data['bid']}}</td>
           <td>{{$data['book_name']}}</td>
           <td>{{$data['is_on_shelf']==1?'内部上架':'外部上架'}}</td>

           <td>{{$data['charge_type']=='BOOK'?'短篇':'长篇'}}</td>

           <td>{{$data['uv_one_day_sum']}}</td>
           <td>{{$data['recharge_amount_in_one_day']}}</td>
           <td>{{$data['uv_three_day_sum']}}</td>
           <td>{{$data['recharge_amount_in_three_days']}}</td>
           <td>{{$data['UV']}}</td>
           <td>{{$data['recharge_amount_in_one_day']>0?round(($data['recharge_amount_in_three_days']-$data['recharge_amount_in_one_day'])/$data['recharge_amount_in_one_day'],2):0}}</td>
           <td>{{$data['uv_one_day_sum']>0?round(($data['recharge_amount_in_one_day']/$data['uv_one_day_sum']),2):0}}</td>
           <td>{{$data['uv_one_day_sum']>0?round(($data['recharge_amount_in_three_days']/$data['uv_one_day_sum']),2):0}}</td>
           <td>{{$data['register_user_sum']>0?(round(($data['force_user_sum']/$data['register_user_sum']),4)*100).'%':0}}</td>

       </tr>
   @endforeach
   </tbody>
</table>

</body>
</html>
